
package com.test.ejb.entity.test1bean;

import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public class Test1Bean implements EntityBean
{
    public Integer key;

    public String value;

    private EntityContext context;
	
    private boolean isDirty;

    public String getValue()
    {
        return(value);
    }
    
    public void setValue(String value)
    {
        this.value = value;
        setModified(true);
    }

    public void setEntityContext(EntityContext ec)
    {
        context = ec;
    }

    public void unsetEntityContext()
    {
        this.context = null;
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
        setModified(false);
    }

    public void ejbStore()
    {
        setModified(false);
    }

    public Integer ejbCreate(Integer key, String value)
    {
        this.key = key;
        this.value = value;
        return null;
    }

    public void ejbPostCreate(Integer key, String value)
    {
    }

    public void ejbRemove()
    {
    }

    public boolean isModified()
    {
        return isDirty;
    }

    public void setModified(boolean isDirty)
    {
        this.isDirty = isDirty;
    }
}

