<%@ page contentType="text/html" %>
<%@ page errorPage="/error.jsp" %>
<%@ page import="javax.naming.Context" %>
<%@ page import="javax.naming.InitialContext" %>
<%@ page import="java.util.Properties" %>
<%@ page import="javax.rmi.PortableRemoteObject" %>
<%@ page import="com.test.ejb.session.testsessionbean.*" %>
<%!
    public static Context getInitialContext() throws javax.naming.NamingException
    {
         // setup the context
         Properties properties = new Properties();
         InitialContext ctx = new InitialContext(properties);
         return ctx;
    }
 %>

<%
    Object ref;
    Context context = getInitialContext();
    ref = context.lookup("java:comp/env/ejb/TestSessionHome");
    TestSessionHome testSessionHome = (TestSessionHome)PortableRemoteObject.narrow(ref,TestSessionHome.class);
    TestSession testSession = testSessionHome.create();
    if(request.getParameter("mode") != null) {
        if(request.getParameter("mode").equals("inserttest1")) {
%>
<b>Test 1</b><br>
Inserting test1 with key = <%= request.getParameter("key") %>, value = <%= request.getParameter("value") %><br>
<%
            testSession.createtest1(new Integer(request.getParameter("key")),request.getParameter("value"));
        } else if(request.getParameter("mode").equals("inserttest2")) {
%>
<b>Test 2</b><br>
Inserting test2 with key = <%= request.getParameter("key") %>, foreign_key = <%= request.getParameter("foreign_key") %>, value = <%= request.getParameter("value") %><br>
<%
            testSession.createtest2(new Integer(request.getParameter("key")),new Integer(request.getParameter("foreign_key")),request.getParameter("value"));
        } else if(request.getParameter("mode").equals("insertboth")) {
%>
<b>Both</b><br>
Inserting test1 with key = <%= request.getParameter("key1") %>, value = <%= request.getParameter("value1") %><br>
Inserting test2 with key = <%= request.getParameter("key2") %>, foreign_key = <%= request.getParameter("foreign_key") %>, value = <%= request.getParameter("value2") %><br>
<%
            testSession.createbothtests(new Integer(request.getParameter("key1")),request.getParameter("value1"),new Integer(request.getParameter("key2")),new Integer(request.getParameter("foreign_key")),request.getParameter("value2"));
        } else if(request.getParameter("mode").equals("updatetest1")) {
%>
<b>Test 1</b><br>
Updating test1 with key = <%= request.getParameter("key") %>, value = <%= request.getParameter("value") %><br>
<%
            testSession.updatetest1(new Integer(request.getParameter("key")),request.getParameter("value"));
        } else if(request.getParameter("mode").equals("updatetest2")) {
%>
<b>Test 2</b><br>
Updating test2 with key = <%= request.getParameter("key") %>, foreign_key = <%= request.getParameter("foreign_key") %>, value = <%= request.getParameter("value") %><br>
<%
            testSession.updatetest2(new Integer(request.getParameter("key")),new Integer(request.getParameter("foreign_key")),request.getParameter("value"));
        } else if(request.getParameter("mode").equals("updateboth")) {
%>
<b>Both</b><br>
Updating test1 with key = <%= request.getParameter("key1") %>, value = <%= request.getParameter("value1") %><br>
Updating test2 with key = <%= request.getParameter("key2") %>, foreign_key = <%= request.getParameter("foreign_key") %>, value = <%= request.getParameter("value2") %><br>
<%
            testSession.updatebothtests(new Integer(request.getParameter("key1")),request.getParameter("value1"),new Integer(request.getParameter("key2")),new Integer(request.getParameter("foreign_key")),request.getParameter("value2"));
        }
    }
%>
