<%@ page contentType="text/html" %>
<%@ page errorPage="/error.jsp" %>
<%@ page import="javax.naming.Context" %>
<%@ page import="javax.naming.InitialContext" %>
<%@ page import="java.util.Properties" %>
<%@ page import="javax.transaction.*" %>
<%@ page import="javax.rmi.PortableRemoteObject" %>
<%@ page import="com.test.ejb.entity.test1bean.*" %>
<%@ page import="com.test.ejb.entity.test2bean.*" %>
<%!
    public static Context getInitialContext() throws javax.naming.NamingException
    {
         // setup the context
         Properties properties = new Properties();
         InitialContext ctx = new InitialContext(properties);
         return ctx;
    }
%>

<%
    Object ref;
    Context context = getInitialContext();
    ref = context.lookup("java:comp/env/ejb/Test1Home");
    Test1Home test1Home = (Test1Home)PortableRemoteObject.narrow(ref,Test1Home.class);
    ref = context.lookup("java:comp/env/ejb/Test2Home");
    Test2Home test2Home = (Test2Home)PortableRemoteObject.narrow(ref,Test2Home.class);

    UserTransaction trans = (UserTransaction)context.lookup("java:comp/UserTransaction");
    try {
        trans.begin();
        Test1 test1 = test1Home.findByPrimaryKey(new Integer(request.getParameter("key1")));
        Test2 test2 = test2Home.findByPrimaryKey(new Integer(request.getParameter("key2")));
        test1.setValue(request.getParameter("value1"));
        test2.setValue(request.getParameter("value2"));
        test2.setForeign_key(new Integer(request.getParameter("foreign_key")));
        out.println("Updated both beans directly.");
    } catch (Exception e) {
        try {
            trans.rollback();
        } catch (Exception ee) {
            out.println("Tried to rollback..<br>Exception: "+ee);
        }
        out.println("Exception: "+e);
    } finally {
        try {
            trans.commit();
        } catch (Exception ee) {
            out.println("Tried to commit...<br>Exception: "+ee);
        }
    }
%>
